package com.example.nto_2024_client.list.network

import com.example.nto_2024_client.list.models.ListEnterEntity

class ListEnterRepoImpl (val listNetworkEnter: ListNetworkEnter):ListEnterRepo{
    override suspend fun lastEntry(login: String, password: String): Result<List<ListEnterEntity>> {
        return listNetworkEnter.findLastEntry(login,password).map { listDTO->
            listDTO.mapNotNull { dto->
                ListEnterEntity(
                    lastEntry = dto.lastEntry
                )

            }
        }
    }
}