package com.example.nto_2024_client.list.network

import com.example.nto_2024_client.list.models.ListEnterDTO
import com.example.nto_2024_client.login.models.UserDTO
import io.ktor.client.HttpClient
import io.ktor.client.call.body
import io.ktor.client.engine.cio.CIO
import io.ktor.client.plugins.contentnegotiation.ContentNegotiation
import io.ktor.client.request.basicAuth
import io.ktor.client.request.get
import io.ktor.client.request.setBody
import io.ktor.serialization.kotlinx.json.json
import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.withContext
import kotlinx.serialization.json.Json
import kotlin.math.log

class ListNetworkEnter {
    val client = HttpClient(CIO){
        install(ContentNegotiation){
            json(Json {
                isLenient = true
                ignoreUnknownKeys = true
            })

        }
    }
    suspend fun findLastEntry(login:String,password:String):Result<List<ListEnterDTO>> = withContext(Dispatchers.IO){
        runCatching {
            val result = client.get("http://10.6.66.81:8080/api/enter/${login}")
            result.body()
        }
    }


}