package com.example.nto_2024_client.qr

import android.os.Bundle
import android.util.Log
import android.view.LayoutInflater
import android.view.View
import android.view.ViewGroup
import androidx.fragment.app.Fragment
import com.example.nto_2024_client.R
import com.example.nto_2024_client.databinding.QrCodeFragmentBinding
import me.dm7.barcodescanner.zbar.Result
import me.dm7.barcodescanner.zbar.ZBarScannerView

class QrFragment: Fragment(R.layout.qr_code_fragment),ZBarScannerView.ResultHandler {
    lateinit var binding:QrCodeFragmentBinding
     lateinit var zBarScannerView: ZBarScannerView
    override fun onCreateView(
        inflater: LayoutInflater,
        container: ViewGroup?,
        savedInstanceState: Bundle?
    ): View? {
        zBarScannerView = ZBarScannerView(activity)

        return zBarScannerView
    }



    override fun onResume() {
        super.onResume()
        zBarScannerView.setResultHandler(this)
        zBarScannerView.startCamera()

    }

    override fun onPause() {
        super.onPause()
        zBarScannerView.stopCamera()
    }
    override fun handleResult(result: Result?) {
        Log.d("MyQr",result.toString())
    }

}