package com.example.nto_2024_client.list

import android.os.Bundle
import android.view.View
import androidx.fragment.app.Fragment
import androidx.fragment.app.activityViewModels
import androidx.lifecycle.Observer
import com.example.nto_2024_client.R
import com.example.nto_2024_client.databinding.FragmentListBinding
import com.example.nto_2024_client.list.adapter.ListAdapter

class ListFragment:Fragment(R.layout.fragment_list) {
    private lateinit var binding:FragmentListBinding
    private val listViewModel:ListViewModel by activityViewModels()
    override fun onViewCreated(view: View, savedInstanceState: Bundle?) {
        super.onViewCreated(view, savedInstanceState)
        val adapter = ListAdapter()
        binding.rvView.adapter=adapter
        binding = FragmentListBinding.bind(view)
        listViewModel.entry.observe(viewLifecycleOwner, Observer { it->
            for (listEnterEntity in it){
                adapter.addEnter(listEnterEntity)
            }
        })
    }
}